## icebreaker 0.2.6

=== debian/control ===
Source: icebreaker
Section: user/games
Priority: optional
Maintainer: Talita Menezes
Build-Depends: libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
Standards-Version: 3.6.0
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUAAgAL
  BAIGCQYREhAeFwsfIB4rLS1KNg5fMwBYORs/QD5HPzRbPxRuRR5OT0oUapAA
  d5sSdptiY18JhKKuTwiNXyskgqEIk7BvcW6sYhwHor6NdE8kobiAgX8lsMaM
  jIuXjYElv9PagDmXmZb8fyWrmn0zzNrsmhQw2OX/lTIm4+77nDMp5O+tr6vs
  o1DMsHD+qBzsrUC6ubE67fjJysbpz5nW2dfJ8/To6ufS8/bW9fLi9/b29ezv
  +/z6/Pn+/fSQxKnrAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggX
  ExMGY+GI+wAAARlJREFUKM+dj31PgzAQh+/ELdJl6Lo5mc4xhlkgyDTCEFg4
  vv+38tpCE1/4xyfQ9vrkdxxwOwrcGRbmWai1r2HJrJd/sIaHUWA7xiPsmO1O
  M0XE6c4CoUUEMykjz9YQHnvC+eF0Pr95puAXYs2RX6Nm+qyA1zzOY16EuFmt
  Npv7a4dLDeQGiQhokL65Aro0LRE5gDAJgkAgOg5pgOpPVj4CYEZlEak/8I1q
  m8YovGJVsgKrdMrjC1FRVWWSPymHVM2bx/2eVV0E3NAbUrUag1NRx3uZAQ5j
  XGqVogli1nVKoRA/FAwKrGqNkmquqiyLDKW0qVYfXHf+UTB7l3pAz070kiTv
  6dM+OKSnNBmUaaio6BtQ9w1/8z/1BdFzZwx/iaH6AAAAAElFTkSuQmCC

Package: icebreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-mixer1.2, hildon-games-wrapper0, osso-games-startup, maemo-select-menu-location
Description: IceBreaker game
