## icebreaker 0.2.6-1

=== debian/changelog ===
icebreaker (0.2.6-1) unstable; urgency=low

  * Updated to Diablo.

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 25 Oct 2008 20:49:00 +0300

icebreaker (0.2.6) unstable; urgency=low

  * Updated to Maemo 4.0.

 -- Marcelo Lira <setanta@gmail.com>  Fri, 26 Oct 2007 11:05:00 -0300

icebreaker (0.2.5) unstable; urgency=low

  * Now _really_ updated to Maemo 2.0.

 -- Eduardo Lima <eduardo.lima@indt.org.br>  Wed, 23 Aug 2006 18:56:02 -0300

icebreaker (0.2.4) unstable; urgency=low

  * Updated for Maemo 2.0.

 -- Talita Menezes <talita.menezes@indt.org.br>  Tue,  13 Jun 2006 15:27:00 -0300

icebreaker (0.2.3) unstable; urgency=low

  * Added application installer support.

 -- Talita Menezes <talita.menezes@indt.org.br>  Wed,  10 Aug 2005 19:12:00 -0300

icebreaker (0.2.2) unstable; urgency=low

  * Added option to send quit command to shadowapp on game quit.

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Fri,  20 May 2005 14:17:42 +0200

icebreaker (0.2.1) unstable; urgency=low

  * Changed package name
  * Modified to be in compliant with new games-startup.

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Thu,  10 May 2005 15:23:17 +0200

icebreaker (0.2) unstable; urgency=low

  * Added games-startup support
  * Added autotools stuff support

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  27 Apr 2005 18:55:12 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  27 Apr 2005 18:55:12 +0200
  

icebreaker (0.1) unstable; urgency=low

  * Initial release
  * Debianized package

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  20 Apr 2005 20:25:24 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  20 Apr 2005 20:25:24 +0200
