=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: icebreaker
 Section: user/games
 Priority: optional
-Maintainer: Talita Menezes
-Build-Depends: libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
+Maintainer: Marcelo Lira
+Build-Depends: libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
 Standards-Version: 3.6.0
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUAAgAL
