## icebreaker 1.21

=== debian/changelog ===
icebreaker (1.21-12) unstable; urgency=medium

  * Reintroduction of icebreaker to Debian.
  * Change maintainer to Debian Games Team
  * Merge Ubuntu changes:
    [Alexander Faithfull]
    - Fixed a buffer overflow in options.c that caused a crash on startup.
  * Move to debhelper compat 10, policy 4.1.0, source-format 3.0
  * Remove Debian menu file
  * Compile with hardening CFLAGS
  * Make the build reproducible. Thanks to Reiner Herrmann.

 -- Andreas Gnau <Rondom@Rondom.de>  Sun, 10 Sep 2017 19:31:59 +0200

icebreaker (1.21-11) unstable; urgency=low

  [Barry deFreese]

  * Merge Ubuntu changes.  Closes: #376907
    - Add xpm icon file from Aaron Whitehouse.
    - Fix up desktop file and install in proper location.

  [LaMont Jones]

  * document git repository location
  * Makefile: do not strip binary in Makefile.  Closes: #437185

 -- LaMont Jones <lamont@debian.org>  Thu, 08 Nov 2007 21:04:59 -0700

icebreaker (1.21-10ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Fix up desktop file and install in proper location.
  * Add xpm icon file from Aaron Whitehouse.

 -- Barry deFreese <bddebian@comcast.net>  Wed,  5 Jul 2006 12:49:02 -0400

icebreaker (1.21-10) unstable; urgency=low

  * Acknowledge NMU.  Closes: #297644
  * Add link to project page to description.  Closes: #348279

 -- LaMont Jones <lamont@debian.org>  Wed, 26 Apr 2006 17:49:15 -0600

icebreaker (1.21-9.1) unstable; urgency=low

  * NMU
  * Patch from Ulf Härnhammar to fix format string vulnerability.
    Closes: #297644

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Oct 2005 17:46:50 -0400

icebreaker (1.21-9) unstable; urgency=low

  * Add menu icon.  Closes: #275641

 -- LaMont Jones <lamont@debian.org>  Sat,  9 Oct 2004 13:38:09 -0600

icebreaker (1.21-8) unstable; urgency=low

  * Fix options writing code.  Closes: #174679

 -- LaMont Jones <lamont@debian.org>  Mon, 19 May 2003 20:15:14 -0600

icebreaker (1.21-7) unstable; urgency=low

  * remove unnecessary diffs from upstream.

 -- LaMont Jones <lamont@debian.org>  Thu, 23 May 2002 10:37:21 -0600

icebreaker (1.21-6) unstable; urgency=low

  * Fix typos in postinst.  Closes: #133104.

 -- LaMont Jones <lamont@debian.org>  Sat,  9 Feb 2002 13:30:16 -0700

icebreaker (1.21-5) unstable; urgency=low

  * New maintainer.  Closes: #130825

 -- LaMont Jones <lamont@debian.org>  Mon, 28 Jan 2002 16:30:34 -0700

icebreaker (1.21-4) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 12:52:44 +0100

icebreaker (1.21-3) unstable; urgency=high

  * Move the highscore file from /var/lib/games to /var/games.
    (closes: #115854)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Nov 2001 18:32:12 +0100

icebreaker (1.21-2) unstable; urgency=high

  * Versioned the build dependency on libsdl-mixer1.2-dev to
    ensure that the package gets built with the new SDL packages.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 15 Oct 2001 20:34:16 +0200

icebreaker (1.21-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 12 Aug 2001 19:14:56 +0200

icebreaker (1.10-1) unstable; urgency=low

  * New upstream release.
    - This release includes a man page. (closes: #87143)

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 23 Jul 2001 13:13:01 +0200

icebreaker (1.09-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 18 Jul 2001 23:18:31 +0200

icebreaker (1.0-3) unstable; urgency=low

  * Rebuild with libsdl1.2 .

 -- Adrian Bunk <bunk@fs.tum.de>  Tue,  1 May 2001 11:06:04 +0200

icebreaker (1.0-2) unstable; urgency=medium

  * Rebuild to get icebreaker linked with the right libsdl-mixer
    library. (closes: #79835)
  * Removed some obsolete build dependencies.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 17 Dec 2000 20:16:14 +0100

icebreaker (1.0-1) unstable; urgency=low

  * Initial Release. (closes: #74356)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 18 Nov 2000 02:45:10 +0100

Local variables:
mode: debian-changelog
End:
