=== debian/control ===
Source: icebreaker
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andreas Gnau <Rondom@Rondom.de>
Build-Depends: debhelper (>= 10), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-games/icebreaker.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/icebreaker.git
Homepage: https://mattdm.org/icebreaker/

Package: icebreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Break the iceberg
 So, uh, there's a bunch of penguins on an iceberg in Antarctica. You have
 been selected to catch them so they can be shipped to Finland, where they
 are essential to a secret plot for world domination.
 .
 In order to trap the penguins, you'll need to break the iceberg into small
 chunks. (They're afraid of water, for no apparent reason. Ah well. "The
 Matrix" had more plot holes than this, and it still was a hit.) You do
 this by melting lines in the ice with Special High-Tech GNU Tools.
 .
 Once 80% or more of the iceberg is gone, the remaining chunks are small
 enough for shipping. Of course, if you manage to get rid of more than
 that, you'll save on postage, thus earning you exponential amounts of Geek
 Cred (a.k.a. "score").
