=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr highscoredir=/var/games

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/icebreaker/usr highscoredir=$(CURDIR)/debian/icebreaker/var/games
	rm $(CURDIR)/debian/icebreaker/var/games/icebreaker.scores

override_dh_fixperms:
	chown root:games $(CURDIR)/debian/icebreaker/usr/games/icebreaker
	chmod g+s $(CURDIR)/debian/icebreaker/usr/games/icebreaker
	dh_fixperms -Xdebian/icebreaker/usr/games/icebreaker
