=== debian/changelog ===
icebreaker (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Highscores are now kept in the user's home directory instead of /var.
    - drop postinst script, as global highscore is no longer needed
    - drop highscore-related commands from d/rules
  * Add watch file.
  * Add upstream metadata.
  * d/rules:
    - set bindata and datadir
    - drop dh_fixperms override, as binary does not need to be setgid
    - drop --as-needed linker flag, which is enabled by default
    - drop -Wall from d/rules, as it is already enabled
  * Update Standards-Version to 4.6.0
    - declare that d/rules does not require root
  * d/control:
    - update to debhelper compat level 13
    - point Vcs-* fields to salsa
  * d/patches:
    - fix building in parallel
    - pass all buildflags
    - build without -Werror
    - build with pkg-config instead of sdl-config
    - add keywords to .desktop file
    - make build reproducible
  * Drop unnecessary d/dirs.
  * Install README.themes.
  * Install 128x128 icon and fix location to it in .desktop file.
  * Install metainfo.xml file.
  * Drop obsolete d/source/options.
  * Convert d/copyright to copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Sep 2021 23:20:52 +0200
