=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andreas Gnau <Rondom@Rondom.de>
-Build-Depends: debhelper (>= 10), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/icebreaker.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/icebreaker.git
+Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev (>= 1.2.0-1.1), pkg-config
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/games-team/icebreaker.git
+Vcs-Browser: https://salsa.debian.org/games-team/icebreaker
 Homepage: https://mattdm.org/icebreaker/
 
 Package: icebreaker
@@ -26,4 +27,3 @@
  enough for shipping. Of course, if you manage to get rid of more than
  that, you'll save on postage, thus earning you exponential amounts of Geek
  Cred (a.k.a. "score").
-
