=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -pedantic

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/icebreaker/usr bindir=$(CURDIR)/debian/icebreaker/usr/games datadir=$(CURDIR)/debian/icebreaker/usr/share/games

execute_after_dh_install:
	install -D -m 644 -T metainfo.xml $(CURDIR)/debian/icebreaker/usr/share/metainfo/org.mattdm.icebreaker.xml
