=== debian/watch ===
version=4
https://mattdm.org/icebreaker/download.shtml .*/icebreaker@ANY_VERSION@@ARCHIVE_EXT@
