## icebreaker 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=gcc
 
-SDLCONFIG=sdl-config
+PKG_CONFIG ?= pkg-config
 
 ifndef prefix
   prefix=/usr/local
@@ -20,7 +20,7 @@
 endif
 
 
-CFLAGS=-Wall -Werror $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\"
+CFLAGS+=-Wall -Werror $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\"
 
 SRC=icebreaker.c cursor.c grid.c laundry.c line.c penguin.c sound.c \
     level.c intro.c text.c status.c transition.c hiscore.c dialog.c \
@@ -29,12 +29,12 @@
 
 DISTFILES=$(wildcard *.c *.h *.bmp *.png *.ibt *.wav *.sh *.rc *.ico *.desktop *.man.in *.nsi.in *.spec README* TODO LICENSE INSTALL ChangeLog Makefile*)
 
-SDL_MIXER=-lSDL_mixer
+SDL_MIXER := $(shell $(PKG_CONFIG) SDL_mixer --libs)
 SDL_LIB=$(SDL_MIXER) $(SDL_LDFLAGS)
-SDL_CFLAGS := $(shell $(SDLCONFIG) --cflags)
-SDL_LDFLAGS := $(shell $(SDLCONFIG) --libs)
+SDL_CFLAGS := $(shell $(PKG_CONFIG) sdl --cflags)
+SDL_LDFLAGS := $(shell $(PKG_CONFIG) sdl --libs)
 VERSION := $(shell awk '/^#define VERSION/ { print $$3 }' icebreaker.h)
-VERDATE := $(shell date -r icebreaker.h +"%d %B %Y")
+VERDATE := $(shell LC_ALL=C date -u -r icebreaker.h +"%d %B %Y")
 
 WINARCH=i686
 CROSSTOOLSPATH=/usr/$(WINARCH)-w64-mingw32
@@ -173,7 +173,7 @@
 	[ -d win32.build ] && rm -rf win32.build || true
 
 icebreaker:	$(SRC:.c=.o)
-	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB)
+	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB) $(LDFLAGS)
 
 man: icebreaker.6
 
@@ -191,14 +191,14 @@
 
 themes-install: install-themes
 
-install-themes:
+install-themes: install-mkdirs
 	install -m 644 *.ibt $(datadir)/icebreaker
 	install -m 644 *.wav *.bmp *.png $(datadir)/icebreaker
 
-install-bin: icebreaker
+install-bin: install-mkdirs icebreaker
 	install -m 755 icebreaker $(bindir)
 
-install-man: icebreaker.6
+install-man: install-mkdirs icebreaker.6
 	install -m 644 icebreaker.6 $(mandir)/man6
 
 install: all install-mkdirs install-themes install-bin install-man
