=== debian/changelog ===
icebreaker (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add one new patch for new failure

  [ Patrice Duroux ]
  * d/control: bump SV to 4.7.2
  * d/control: remove RRR: no
  * d/patches: add two more patches
  * d/watch: version 5
  * d/salsa-ci.yml: added

 -- Alexandre Detiste <tchet@debian.org>  Thu, 18 Dec 2025 23:15:43 +0100

icebreaker (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release which mostly consists
    of the patches provided by Reiner Herrmann.
  * replace transitional pkg-config by pkgconf
  * move files in debian/ for compatibility with debhelper 14/15

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Dec 2023 00:08:37 +0100
