=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andreas Gnau <Rondom@Rondom.de>
-Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev (>= 1.2.0-1.1), pkg-config
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev, pkgconf
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/icebreaker.git
 Vcs-Browser: https://salsa.debian.org/games-team/icebreaker
 Homepage: https://mattdm.org/icebreaker/
