=== debian/watch ===
Version: 5

Source: https://mattdm.org/icebreaker/download.shtml
Mathcing-pattern: .*/icebreaker@ANY_VERSION@@ARCHIVE_EXT@
